﻿package {
	import flash.display.MovieClip;
	import flash.display.SimpleButton;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.net.SharedObject;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import flash.net.URLRequestMethod;
	import flash.net.URLVariables;
	import flash.text.TextField;

	public class sharedObject extends MovieClip
	{
		private var shared:SharedObject;
		//DELETE THIS
		private var tf:TextField;
		private var s:SimpleButton;
		
		public function sharedObject()
		{
			shared = SharedObject.getLocal("example");
			init();
		}
		private function init():void
		{
			this.stop();
			if(shared.data.watched === true)
			{
				this.gotoAndStop(2);
				frame2handler();
			}
			else
			{
				this.addEventListener(Event.ENTER_FRAME, onEnter);
			}
		}
		private function frame2handler():void
		{
			this.addFrameScript(1, function(){
				if(shared.data.user != null && shared.data.password != null)
				{
					user.text = shared.data.user;
					password.text = shared.data.password;
					remember.selected = shared.data.remember;
				}
				remember.label = "Remember me";
				enter.addEventListener(MouseEvent.CLICK, onClick);
				watcher.addEventListener(MouseEvent.CLICK, onClick);
			});
		}
		private function frame3handler():void
		{
			this.addFrameScript(2, function(){
				clearer.addEventListener(MouseEvent.CLICK, onClick);
				var url:URLLoader = new URLLoader();
				var req:URLRequest = new URLRequest("http://www.mutatedcreativity.com/dev/curl.php");
				var vars:URLVariables = new URLVariables();
				req.method = URLRequestMethod.POST;
				vars.earl = "http://feeds.feedburner.com/flashtuts";
				req.data = vars;
				url.addEventListener(Event.COMPLETE, function(){
					var xml:XML = new XML(url.data);
					var xmlList:XMLList = xml..item;
					for(var i:int = 0; i<xmlList.length(); i++)
					{
						list.addItem({label:xmlList[i].title.text(), data:xmlList[i].description.text()});
					}
					list.selectedIndex = 0;
					area.htmlText = list.selectedItem.data;
					list.addEventListener(Event.CHANGE, function(){
						area.htmlText = list.selectedItem.data;
					});
				});
				url.load(req);
			});
		}
		private function onEnter(event:Event):void
		{
			if(animation.currentFrame === animation.totalFrames)
			{
				this.removeEventListener(Event.ENTER_FRAME, onEnter);
				this.gotoAndStop(2);
				frame2handler();
				shared.data.watched = true;
				shared.flush();
			}
		}
		private function onClick(event:MouseEvent):void
		{
			switch(event.target.name)
			{
				case "enter" :
					if(remember.selected)
					{
						shared.data.user = user.text;
						shared.data.password = password.text;
						shared.data.remember = remember.selected;
						shared.flush();
					}
					else
					{
						delete shared.data.user;
						delete shared.data.password;
					}
					this.gotoAndStop(3);
					frame3handler();
				break;
				case "watcher" :
					delete shared.data.watched;
					this.gotoAndStop(1);
					this.addFrameScript(0, function(){
						init();
					});
				break;
				case "clearer" :
					shared.clear();
					this.gotoAndStop(2);
				break;
			}
		}
	}
}
